
<div class="col-s-12 col-m-4 col-l-4 all">   
    <div *ngFor="let colorname of coloredUsers" class="container container-fluid" style='display:inline;'>
       <div class="cards col-s-12 col-m-4 col-l-4" [ngStyle]="{'background-color':colorname.color }">
           <div class="media-body">

            <!-- راهنمایی سوپر وایزر -->
            <!-- من اول مثل برنامه هایی که دیده بودم خط اول که الان کامنت کردم رو نوشته بودم  -->
            <!-- مشکل این بود که چیزی که از طرف فرزند نوشته شده بود رو می تونستم دریافت کنم اما وقتی که می خوام تو تایپ اسکریپت باهاش کار کنم  -->
            <!-- اجازه ی دسترسی نداشتم( هیچ جوری نمیشناختش) تنها راه حلش اینه که یک تابع اینجا تعریف کنیبم که بیاد و اون ایونت رو دریافت کنه و توی تایپ اسکریپت این  -->
            <!-- بیام اون رو هم چک کنم  -->
             <!--<app-child-color  (childData)="selectedColor=$event" [parentData]="colorname"></app-child-color> -->
            <app-child-color class="each-box"  (childData)="getSelectedColor($event)" [parentData]="colorname" [parmisionData]="letCollect"></app-child-color>
           
          
           </div>
   
       </div>
   
     
      
   </div>
   </div> 
   <!-- the following Box gather and show  the users collected colors -->
   <div class="selectedColors">
       <p>selected Colors are as Follows (recived From Child) : {{selectCounter}} </p>
       <p *ngFor="let color of colorsCarrear" class="colorShow">{{color}} &</p>
   </div>
   <!-- if user pressed the Button, this box will show more information -->
   <div class="btn-carrier">
        <button *ngIf="showButton" type="submit" class="btn btn-primary" (click)="show()" #theBtn>show more...</button> 
   </div>
